//
//  GeoCalculatorAppAppDelegate.m
//  GeoCalculatorApp
//
//  Created by Holger Hinzberg on 15.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "GeoCalcAppDelegate.h"

@implementation GeoCalcAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Eine Instanz von GeometryCalculator erzeugen
    calculator = [[GeometryCalculator alloc] init];
}

- (void)dealloc
{
    // Bei Programmende alles freigeben
    [calculator release];
    [super dealloc];
}
     

- (IBAction)deleteFields:(id)sender 
{
    // Alle Textfelder leeren
    [lengthTextField setStringValue:@""];
    [widthTextField setStringValue:@""];
    [heightTextField setStringValue:@""];
    [areaTextField setStringValue:@""];
    [volumeTextField setStringValue:@""];
}

- (IBAction)calculate:(id)sender 
{
    // Werte vom View in den Calculator holen
    calculator.height = [heightTextField doubleValue];
    calculator.width = [widthTextField doubleValue];
    calculator.length = [lengthTextField doubleValue];
    
    // Ergebnisse berechnen und anzeigen
    [areaTextField setDoubleValue:
    [calculator calculateRectangleArea]];
    [volumeTextField setDoubleValue:
    [calculator calculateCuboidVolume]];
}

-(NSApplicationTerminateReply)applicationShouldTerminate:
(NSApplication *)sender
{
    NSInteger button = NSRunAlertPanel(@"Geometry Calculator"
                                 ,@"Wollen Sie die Anwendung wirklich beenden?"
                                 ,@"Nein",@"Ja",nil);
    
    if(button == 1)
    {
        return NSTerminateCancel;
    }
    
    return NSTerminateNow;
}


@end
